Skip to main content
GET
/
webhooks
/
2026-03
/
{appId}
/
settings
Read webhook settings
curl --request GET \
  --url 'https://api.hubapi.com/webhooks/2026-03/{appId}/settings?hapikey='
{
  "createdAt": "2023-11-07T05:31:56Z",
  "targetUrl": "<string>",
  "throttling": {
    "maxConcurrentRequests": 123
  },
  "updatedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The ID of the target app.

Response

successful operation

createdAt
string<date-time>
required

When this subscription was created. Formatted as milliseconds from the Unix epoch.

targetUrl
string
required

A publicly available URL for Hubspot to call where event payloads will be delivered. See link-so-some-doc for details about the format of these event payloads.

throttling
object
required
updatedAt
string<date-time>

When this subscription was last updated. Formatted as milliseconds from the Unix epoch.

Last modified on March 30, 2026